Subject: bug#50676: [core-updates-frozen] Image production is broken.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 20 Sep 2021 00:37:37 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

> When a producing a disk-image, the system derivations are built twice:

What command did you use?

I tried:

  ./pre-inst-env guix system image -t qcow2 gnu/system/examples/bare-bones.tmpl

Running:

  qemu-system-x86_64 -m 1024 -enable-kvm -snapshot /gnu/store/…-image.qcow2

drops me in the GRUB rescue shell right from the start, but I think
that’s because the command surprisingly builds an EFI image, as can be
seen from the generated genimage.cfg:

--8<---------------cut here---------------start------------->8---
image image {
	hdimage {}
	partition GNU-ESP {
		partition-type = 0xEF
		image = "/gnu/store/zfia31ypdlcx5d7sxhwmh4d8jsq33cqb-partition.img"
		offset = "1048576"
	}
	partition Guix_image {
		partition-type = 0x83
		image = "/gnu/store/8v4m9cqrgvmp3akajv2pk1pvcdrswx2g-partition.img"
		offset = "0"
	}
}
--8<---------------cut here---------------end--------------->8---

> The installed Grub configuration file in /boot/grub/grub.cfg points to a
> system that is *not* part of the closure. The second Grub configuration
> file shown above points to the other system that *is* part of the
> closure.
>
> While booting the image in QEMU, the boot fails when trying to access
> the missing /gnu/system/xxx-system/boot file.

Uh.

Ludo’.